unit UForm3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, DateUtils;

type
  TFFlux = class(TForm)
    Chart1: TChart;
    Series1: TFastLineSeries;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    miny,maxy:extended;
  public
    { Public declarations }
    procedure UpdateChart(x, y: Extended);
  end;

var
  FFlux: TFFlux;

implementation

{$R *.dfm}
procedure TFFlux.FormCreate(Sender: TObject);
begin
  miny := 1e9;
  maxy := 0;
end;

procedure TFFlux.UpdateChart(x: Extended; y: Extended);
begin
  if y < miny then begin
    miny := y;
    Chart1.LeftAxis.Minimum := miny - 1000;
  end;
  if y > maxy then begin
    maxy := y;
    Chart1.LeftAxis.Maximum := maxy + 1000;
  end;
  Series1.AddXY(x,y);
  Caption := Format('Flux %4.2e',[y]);
  if (Series1.Count > 1) and
    (SecondSpan(Series1.XValue[Series1.FirstValueIndex],Series1.XValue[Series1.LastValueIndex])>86400) then Series1.Delete(Series1.FirstValueIndex);

end;

end.
