unit UForm4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart;

type
  TFCalibration = class(TForm)
    Chart1: TChart;
    Series1: TPointSeries;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    minx, miny, maxx, maxy: Extended;
  public
    { Public declarations }
    procedure UpdateChart(x: Extended; y: Extended);
  end;

var
  FCalibration: TFCalibration;

implementation

{$R *.dfm}
procedure TFCalibration.FormCreate(Sender: TObject);
begin
  minx := 1e9;
  maxx := 0;
  miny := 1e9;
  maxy := 0;
end;

procedure TFCalibration.UpdateChart(x: Extended; y: Extended);
begin
  if y < miny then begin
    miny := y;
    Chart1.LeftAxis.Minimum := miny - 1;
  end;
  if y > maxy then begin
    maxy := y;
    Chart1.LeftAxis.Maximum := maxy + 1;
  end;
  if x < minx then begin
    minx := x;
    Chart1.BottomAxis.Minimum := minx - 1;
  end;
  if x > maxx then begin
    maxx := x;
    Chart1.BottomAxis.Maximum := maxx + 1;
  end;
  {Chart1.BottomAxis.Maximum := Series1.MaxXValue + 10000;
  Chart1.BottomAxis.Minimum := Series1.MinXValue - 1;    }
  if ((x > 0) and (y > 0)) then Series1.AddXY(x,y);
  if Series1.Count > 10000 then Series1.Delete(Series1.FirstValueIndex);
  
  //Caption := Format('Flux %4.2e',[y]);
end;

end.
