unit UForm2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, DateUtils;

type
  TFTemperature = class(TForm)
    Chart1: TChart;
    Series1: TFastLineSeries;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    lasty:extended;
  public
    { Public declarations }
    procedure UpdateChart(x: Extended; y: Extended);
  end;

var
  FTemperature: TFTemperature;

implementation

{$R *.dfm}

procedure TFTemperature.FormCreate(Sender: TObject);
begin
  lasty := -273;
end;

procedure TFTemperature.UpdateChart(x: Extended; y: Extended);
begin
  if y <> lasty then begin
    Caption := Format('Temperature %5.1f C',[y]);
    Series1.AddXY(x,y);
    lasty := y;
  if (Series1.Count > 1) and
    (SecondSpan(Series1.XValue[Series1.FirstValueIndex],Series1.XValue[Series1.LastValueIndex])>86400) then Series1.Delete(Series1.FirstValueIndex);
  end;
end;


end.
