unit UForm5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, DateUtils;

type
  TForm5 = class(TForm)
    Chart1: TChart;
    Series1: TFastLineSeries;
    Series2: TFastLineSeries;
    Series3: TFastLineSeries;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure UpdateChart(x, y1,y2,y3: Extended);

  end;

var
  Form5: TForm5;

implementation

{$R *.dfm}

procedure TForm5.UpdateChart(x,y1,y2,y3: Extended);
begin
    Series1.AddXY(x, y1);
    Series2.AddXY(x, y2);
    Series3.AddXY(x, y3);
    Caption := Format('Illuminance %d lux',[Round(y1)]);

  if (Series1.Count > 1) and
    (SecondSpan(Series1.XValue[Series1.FirstValueIndex],Series1.XValue[Series1.LastValueIndex])>86400) then Series1.Delete(Series1.FirstValueIndex);
  if (Series2.Count > 1) and
    (SecondSpan(Series2.XValue[Series2.FirstValueIndex],Series2.XValue[Series2.LastValueIndex])>86400) then Series2.Delete(Series2.FirstValueIndex);
  if (Series3.Count > 1) and
    (SecondSpan(Series3.XValue[Series3.FirstValueIndex],Series3.XValue[Series3.LastValueIndex])>86400) then Series3.Delete(Series3.FirstValueIndex);

end;
end.
